Bug 137855 - CRASH: Accepting/Rejecting all changes
Summary: CRASH: Accepting/Rejecting all changes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-10-29 13:55 UTC by Xisco Faulí
Modified: 2020-10-30 17:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
file 1 (45.72 KB, application/vnd.oasis.opendocument.text)
2020-10-29 13:55 UTC, Xisco Faulí
Details
file 2 (55.79 KB, application/vnd.oasis.opendocument.text)
2020-10-29 13:56 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-10-29 13:55:52 UTC
Created attachment 166847 [details]
file 1

Steps to reproduce:
1. Open file 1
2. Go to Edit - Track Changes - Compare document and choose file 2
3. Accept all or Reject all

-> Crash

Reproduced in

Version: 7.1.0.0.alpha1+
Build ID: 6934049abe5581ba543212f07fec8c411122c806
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-10-29 13:56:09 UTC
Created attachment 166848 [details]
file 2
Comment 2 Xisco Faulí 2020-10-29 13:58:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=69d903c59729deb9f9824929bb31e4256f09025b

author	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-07-05 15:24:43 +0200
committer	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-08-07 17:28:14 +0200
commit	69d903c59729deb9f9824929bb31e4256f09025b (patch)
tree	7a5fdaf7ac1ad03ac5fe341ba5471c8b29eea8e4
parent	6026038442790ea8c72cdd16490d8c99aaa8a946 (diff)
SwTOXBaseSection::UpdateMarks: SwIterator no more ...

Bisected with: bibisect-linux64-7.1

Adding Cc: to Bjoern Michaelsen
Comment 3 Xisco Faulí 2020-10-30 15:43:18 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2020-10-30 15:43:37 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2020-10-30 15:47:26 UTC
(In reply to Xisco Faulí from comment #4)
> Issue fixed by
> https://git.libreoffice.org/core/+/
> fd9c47eda58dda5e61850e9b9f6de0f38d221b4a%5E%21
> 
> @Caolán, thanks for fixing this issue!!

Setting to VERIFIED
Comment 6 Commit Notification 2020-10-30 17:25:15 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/930e67f488b4d4abdf9ffe494f4b1530179881cb

tdf#137855: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.